#pragma once

#define LEVEL_NB 2
#define LEVEL_SIZE 16
#define TILE_SIZE 12

/* struct for a pair of values */
typedef struct Vec2 {
	int x, y;
} Vec2;

/* struct for player's data */
typedef struct Player {
	Vec2 pos;
	Vec2 spawn;
} Player;

/* used for tiles */
typedef int tile_t;

Vec2 search(tile_t x, tile_t level[LEVEL_SIZE][LEVEL_SIZE]);
int collide_pixel(Vec2 pos, tile_t obj, tile_t level[LEVEL_SIZE][LEVEL_SIZE]);
int collide(Vec2 pos, int h, tile_t obj, tile_t level[LEVEL_SIZE][LEVEL_SIZE]);
Player level_reset(Player player, tile_t level[LEVEL_SIZE][LEVEL_SIZE]);
